Loading...
Searching...
No Matches
Halide::Runtime::Internal::MemoryRange Struct Reference

`#include <memory_resources.h>`

## Public Attributes

size_t | head_offset = 0
size_t | tail_offset = 0

## Detailed Description

Definition at line 73 of file memory_resources.h.

## Member Data Documentation

## head_offset

size_t Halide::Runtime::Internal::MemoryRange::head_offset = 0

Definition at line 74 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::map(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::unmap().

## tail_offset

size_t Halide::Runtime::Internal::MemoryRange::tail_offset = 0

Definition at line 75 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::map().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h